:root {
    --bg-color: #0d0f12;
    --text-main-color: #e2e8f0;
	--text-second-color: #cbd5e0;
	--text-white-color: #fff;
	--primary-color: #ff0000;
	--text-size: 1.4rem;
	--text-size-two: 1.8rem;
	--text-size-min: 1.2rem;
	--card-bg: rgba(26, 32, 44, 0.7);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}

h1 {
	font-size: 4.2rem;
}

h2 {
	font-size: 3.2rem;
}

h3 {
	font-size: 2.2rem;
}

p,
li {
	font-size: var(--text-size-two);
}

li {
	margin-bottom: 1rem;
    margin-left: 2rem;
}

ul {
   margin-left: 2rem; 
}

button {
	cursor: pointer;
}

body {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	gap: 3.5rem;
	min-height: 100vh;
    background-color: var(--bg-color);
    color: var(--text-main-color);
    font-family: "Inter", sans-serif;
    font-style: normal;
}

.navbar {
	display: flex;
    justify-content: space-between;
	align-items: center;
	padding: 20px 5%;
	position: fixed;
    top: 0;
    left: 0;
	background: rgba(13, 15, 18, 0.8);
    backdrop-filter: blur(10px);
	width: 100%;
	z-index: 1001;
}

.mobile-menu {
	display: none;
}

.nav-logo {
	max-width: 200px;
}

.nav-logo img {
	width: 100%;
}

.nav-right {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}

.nav-right a {
    font-size: var(--text-size-min);
	color: var(--text-second-color);
	text-decoration: none;
}

.nav-right a:hover {
	color: var(--text-main-color);
}

.cart-button,
.cart-button-mob {
    position: relative;
	width: 30px;
	height: 30px;
    border: none;
    background: none;
    color: var(--primary-color);
}

main {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 2.5rem;
    padding-top: var(--nav-height, 70px);
    margin: 2rem 4.5rem 0 4.5rem;
}

.title {
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    text-align: center;
    gap: 0.5rem;
}

.title p {
    color: var(--text-second-color);
}

.main_content {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.main_content h2 {
    margin-top: 3rem;
}

.main_content a {
    font-size: var(--text-size);
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 15px;
    text-align: center;
    max-width: 40%;
    text-decoration: none;
}

.main_content a:hover {
    transform: scale(1.02);
    transition: transform 0.2s ease;
}

footer {
	border-top: 1px solid rgb(180 184 204 / 10%);
}

.footer_top {
	margin: 2rem 3rem
}

.footer-logo {
	display: flex;
    width: 200px;
	height: 64px;
	opacity: 0.2;
	filter: grayscale(100%);
}

.footer-logo img {
	width: 100%;
}

.footer_bottom {
    display: flex;
    justify-content: space-between;
    padding: 1rem 1.5rem;
    background: #000000;
	color: #fff;
    margin-top: 2.5rem;
}

.footer_bottom p {
	font-size: 0.8rem;
	opacity: 0.5;
}

.footer_top {
	display: flex;
    justify-content: space-between;
}

.subscribe {
	width: 45%;
    display: flex;
    flex-direction: column;
	gap: 1rem;
	padding: 2rem;
	background: rgb(180 184 204 / 10%);
	border-radius: 1rem;
}

.subscribe input[type="text"] {
    font-weight: 400;
    padding: 1rem;
    border: none;
    border-radius: 1rem;
    color: #505050;
    font-size: 1rem;
}

.subscribe p:first-child {
    font-weight: 700;
    font-size: var(--text-size-two);
    color: var(--text-white-color);
}

.subscribe button {
    font-size: var(--text-size);
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 15px;
	text-align: center;
}

@media (max-width: 500px) {
	h1 {
		font-size: 2.5rem;
	}
	
	h2 {
		font-size: 2rem;
	}
	
	p,
	li {
	  font-size: var(--text-size);
	}
	
	ul {
        margin-left: 1rem;
    }
	
	.nav-logo {
		max-width: 125px;
	}
	
	main {
        margin: 2rem 1.5rem 0 1.5rem;
        gap: 0;
    }
    
    .main_content a {
	    max-width: 100%;
	}
	
	.footer_top {
		flex-direction: column;
		gap: 4rem;
		margin: 2rem 1rem;
	}
	
	.subscribe {
		width: 100%;
	}
}

@media screen and (min-width: 500px) and (max-width: 768px) {
    ul {
        margin-left: 1rem;
    }
    
    main {
        margin: 2rem 1.5rem 0 1.5rem;
        gap: 0;
    }
    
    .main_content a {
	    max-width: 80%;
	}
    
	.footer_top {
		flex-direction: column;
		gap: 4rem;
		margin: 2rem 1rem;
	}
	
	.subscribe {
		width: 80%;
	}
}

@media screen and (min-width: 768px) and (max-width: 980px) {
	.subscribe {
		width: 60%;
	}
}